Is there a way to set up autocad(2004) so that when I insert a block, the block then automatically breaks the line I am inserting it on. My drawing's are mostly electrical schematics so the line I am refering to is the circuit and my blocks are components. At the moment I insert my block and I have to use the command 'break'. I know this does not take up a lot of time but I am always looking for ways to speed up!
Im having some troubles inserting a block into a line. See image. The block on the left inserts into the line and has attachment points (AutoCAD P&ID Provided) the block on the right i created. Im unable to get it to insert within the line without manually breaking the line after insertion, the result being the line through my block.
I needed to remove a feature line that I used as a break line when creating a surface. When I removed the feature line from the definition of the surface, the grading did not change. It appears the points created by the feature line remain which is why grading didn't change. The only work around was to delete these points.
I noticed the same thing happens when I removed the surface boundary and inserted a new boundary. why these points remain and how to remove when I delete boundary and feature line from surface?
This layer is styled so that all text is centered. In this case, FDO_LAYER2 is having it's text left aligned. I'm pretty sure this is due to the method I am using for a new line. Is there something else I can use to break the line and maintain the center styling?
Using a second point for FDO_LAYER2 is not an option.
I draw a curved line and would like it to remain as a curved line even after saving the file. However everytime after saving, and opening the file again, the curve breaks into many line segments, which is not what I want! I want the curved line that I draw to remain as a curved line even after saving and opening. How do I do that? I am using autocad2010.
I use the ARC command to draw a couple of lines, they look okay here. But after I saved it, and re-open it again, what previously appeared as curved lines changed in their appearance to polyline segments.
how to break diameter line into horizontal line at the end ?... there's no such option in editor style (I want to have 2 arrows for this diameter, not one as it is in editor options)
How do we do a break and or jog line in a section so we make things shorter? I did find the DIMJOGLINE command and that will be great for the dimensions but what about the other stuff, do we have to do that with a block or draw the thing, if that's the case what are you doing to handle this?
We're using C3D 2013 SP2. The survey company we use uses point styles to show the blocks. Say they shoot a catchbasin. Instead of inserting the block, the point shows up as the block.
I did a field check & needed to insert a missed CB. When I inserted the block, the other points that were CBs disappeared. I had to insert the block, copy it the clipboard, undo the insertion & then paste the block in. It did this on other drawings & other blocks.
Is it possible, via whatever methods (lisp?) to be able to have a premade block with an attribute and insert it into a drawing then assign a value to it by selecting another existing block in the drawing and using one of its own attribute’s values?
For example, say I have a block representing a telephone and it had an attribute called "PhoneNo" and I inserted it into a drawing showing an office floor plan that had blocks in each office space that are telephone junction boxes with attributes "PhoneExtension". I would like to be able to autocomplete the entering of the “PhoneNo” data by selecting one of the telephone junction boxes in the drawing and using its attribute’s value.
I have created d/blocks for my different pipe sizes i.e one block with a dropdown to select the different sizes and have done the same for my flanges. now how do I link / insert the flange d/block to the piping block so that I can export the information into a material list later on.
I can insert a block with block attributes using the Inter op very easily:
Dim theBlock AsAcadBlockReference Dim pickScreenVBA = myDoc.Utility.GetPoint(, "insert the hydrant") theBlock = myDoc.ModelSpace.InsertBlock(pickScreenVBA, "Hydrant", 1.0#, 1.0#, 1.0#, 0) Dim varAttributes AsObject varAttributes = theBlock.GetAttributes varAttributes(0).TextString ="3 Ports" varAttributes(1).TextString ="Salt water"
Works great, but when I try using the non-inter op, all the example insert new Attributes and not add block with existing attribute (so I end up with duplicate attributes for each block - i.e "Salt water" attribute is added to the block each time I run the code),
Are they any examples that does the same as above using the non-interop code?
I have several blocks saved as separate .DWGs, some of which are dynamic. I want to review and test these blocks, but I can't find a way to open the existing block definitions in the Block Editor without first inserting the blocks into a drawing.
I have to break a line/polyline with a known distance around a point of the line. I was thinking of creating a circle with a specific radius and then trim the line inside the circle, then delete the circle but I could not find how to use trim in .net.
In Regis you copuld use the "clean"command to break each line at an intersection. What command or function must I use in AutoCad 2013? I wish to break the lines at each intersection in order to import the lines into a GIS application. I am currently drawing in 2D.
Would like to know if Autocad has any thing that i could use to break multiple line at one time with out going to each line and using the break command. Using Autocad 13.
I would like to ask a question on “Break at point”.
It is possible to break a line but for circles and ellipses, my attempts resulted in no break at all (see attached picture).
Does “Break at point” support circles and ellipses? If you have a circle and you would like to make it a ¾ circle arc, or any arbitrary angle, how do you do that?
I often use feature lines for parking lots and ponds. They're great when they work, but they drive me NUTS when they don't - which is a lot of the time. For parking lots and ponds, my feature lines usually close back on themselves. That's when I have trouble breaking the feature line. When I use BREAKFEATURE, I choose two points and this should, in theory, leave a gap in the feature line between those two points. That's not what happens. I end up with a huge gap between the first point I picked and a vertex point 5 or 6 vertices away. It doesn't matter where I pick the breaking points.
I've also tried TRIMFEATURES. I draw lines across the feature line where I would have chosen the breaking points. But the portion that I want to remove is the portion that always remains. It doesn't matter where I select the feature line to be trimmed (inside or outside of the cutting edges).
I think there may something wrong with the feature line itself. Sometimes, if I erase the original and draw a new one, it will trim just fine. But that's such a headache, and it doesn't always work. If I knew what was causing the feature lines to go squirrely, I would aviod it. Unfortunately, it seems like breathing the wrong way can screw up a feature line.
Is there a way to have a multiline point description? For example, in the raw description, i wrote out the text, but I would like to return a line for the parentheses.
Civil 3D 2013 Windows 7 64-bit Inteel 2.40 GHz 8 GB RAM Dell T7600
I am trying to insert a block from another drawing, the only way I have been to acheive this has been to open the drawing
Set ObjDocument = ThisDrawing.Application.Documents.Open("D:ACADBlocksGENERAL.dwg") For Each ObjBlock In ObjDocument.Blocks If InStr(ObjBlock.Name, "LOGO") <> 0 Then CopyObjects End If Next
ObjDocument.Close
I would prefer not to open the drawing to access the block, is this possible in VBA.
I wish to insert a title sheet dwg, which has attribute definitions, as a block in another dwg. I can insert it, and if I explode it, the attribute definitions appear. Otherwise they are not added to the database.
I am using standard code, which I can attach. it starts
Dim btr As BlockTableRecord .. Dim blk As BlockReference = New BlockReference(ip, blkid) ' insert block .. btr.AppendEntity(blk) If btr.HasAttributeDefinitions Then ForEach attID As ObjectId In btr etc.